Point of Sales – Installation Not Correct Check Your PHP.INI File

I recently received a request for a receipt from one of my customers, whom puchased a used computer. I do NOT normally print out receipts. The only time I give a receipt to a customer, is if they pay by credit card.

I have never had any major problems by not giving out a printed receipt. I have on occasion received a request for a printed receipt. I decided to look for an open source point of sales software that I could install on my virtual private server.

I found Open Source Point of Sale, which is entirely free. This software requires PHP, a sequential database like MYSQL, and webserver software ie. Apache or Nginx. The installation went smoothly until I received this error upon attempting to login as admin.

The installation is not correct, check your php.ini file.

A quick google research revealed different possible solutions. I was able to resolve this error by installing a missing PHP-INTL module. Also, I had to enable this module within the PHP configuration.

This requires that PHP gets recompiled on your webserver. I use Centos Web Control Panel. I browsed to “PHP Version Switcher” under “PHP Settings”.

Under “PHP version:” you want to select your current version of PHP and then scroll down until you see “intl” in a list of modules. Place a check box next to “intl” to enable this module. Now you want to click on “Build”.

PHP will be rebuilt with the PHP-INTL module enabled. This took around 5 minutes to complete on my virtual private web server. This could take longer to complete.

I was able to monitor the PHP being recompiled by viewing the log file real time with the tail command. Once PHP was rebuilt then I was able to successfully login to Open Source Point of Sales software.

Leave a Reply